org.apache.solr.client.solrj.io.eval

## Class HyperbolicSineEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.ComplexEvaluator
  - - org.apache.solr.client.solrj.io.eval.NumberEvaluator
    - - org.apache.solr.client.solrj.io.eval.HyperbolicSineEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, Expressible

    public class HyperbolicSineEvaluator
    extends NumberEvaluator

See Also:
  Serialized Form

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`constructingFactory, nodeId, streamContext, subEvaluators`

### Constructor Summary

Constructors
Constructor and Description
`HyperbolicSineEvaluator(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Number` `evaluate(Tuple tuple)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.NumberEvaluator

`evaluateAll, normalizeType`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`getStreamContext, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### HyperbolicSineEvaluator

    public HyperbolicSineEvaluator(StreamExpression expression,
                                   StreamFactory factory)
                            throws IOException

Throws:
  `IOException`

### Method Detail

#### evaluate

    public Number evaluate(Tuple tuple)
                    throws IOException

Specified by:
  `evaluate` in interface `StreamEvaluator`
Specified by:
  `evaluate` in class `NumberEvaluator`
Throws:
  `IOException`